## rust-tonic 0.10.2+dfsg

=== debian/changelog ===
rust-tonic (0.10.2+dfsg-9) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 00:03:35 +0200

rust-tonic (0.10.2+dfsg-8) unstable; urgency=medium

  * reduce patch 2001_prost;
    tighten (build-)dependencies for crates prost prost-build

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 13:46:22 +0200

rust-tonic (0.10.2+dfsg-7) unstable; urgency=medium

  * skip test panicking on 32-bit archs
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 11:27:01 +0200

rust-tonic (0.10.2+dfsg-6) unstable; urgency=medium

  * stop autopkgtest for patched-out feature cleanup-markdown
  * fix install examples
  * add patch 2005
    to avoid resolving crate-dependencies for interop tests;
    stop bogusly build-depending on packages for crate strum

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 18:12:28 +0200

rust-tonic (0.10.2+dfsg-5) unstable; urgency=medium

  * add patch 1002 to add feature fences for tests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Jun 2024 14:46:46 +0200

rust-tonic (0.10.2+dfsg-4) unstable; urgency=medium

  * drop bogus autopkgtest
  * update copyright info: fix file path
  * stop provide bogus tonic feature rustls;
    fix and extend autopkgtests
  * add patch 2003 to avoid benches;
    stop build- or autopkgtest-depend on package for crate bencher

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Jun 2024 23:41:12 +0200

rust-tonic (0.10.2+dfsg-3) unstable; urgency=medium

  * add patch 1001 to accept newer branch of crate h2;
    relax (build-)dependency for crate h2;
    thanks to Alexander Kjäll and James McCoy
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Apr 2024 12:59:27 +0200

rust-tonic (0.10.2+dfsg-2) unstable; urgency=medium

  * drop patches 2001_hyper 2001_pico-args 2001_tokio-util 2003,
    obsoleted by Debian package changes
  * drop unneeded patch 2001_strum;
    tighten build-dependencies for crate strum
  * tighten build-dependencies for crate pico-args
  * update patches
  * build-depend on packages for crates hyper-rustls tower-http
  * provide and autpkgtest feature rustls

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 19:27:13 +0100

rust-tonic (0.10.2+dfsg-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1052431

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 02:25:33 +0100
