=== debian/control ===
Source: rust-tonic
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-async-stream-0.3+default-dev <!nocheck>,
 librust-async-trait-0.1+default-dev <!nocheck>,
 librust-axum-0.6-dev <!nocheck>,
 librust-base64-0.21+default-dev <!nocheck>,
 librust-bytes-1+default-dev <!nocheck>,
 librust-console-0.15+default-dev <!nocheck>,
 librust-flate2-1+default-dev <!nocheck>,
 librust-h2-dev (<< 0.5) <!nocheck>,
 librust-http-0.2+default-dev <!nocheck>,
 librust-http-body-0.4+default-dev <!nocheck>,
 librust-hyper-0.14+default-dev <!nocheck>,
 librust-hyper-0.14+full-dev <!nocheck>,
 librust-hyper-rustls-0.24+default-dev <!nocheck>,
 librust-hyper-rustls-0.24+http2-dev <!nocheck>,
 librust-hyper-timeout-0.4+default-dev <!nocheck>,
 librust-listenfd-1+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-pico-args-0.5+default-dev <!nocheck>,
 librust-pico-args-0.5+eq-separator-dev <!nocheck>,
 librust-pin-project-1+default-dev <!nocheck>,
 librust-prettyplease-0.2+default-dev <!nocheck>,
 librust-proc-macro2-1+default-dev <!nocheck>,
 librust-prost-0.12+default-dev <!nocheck>,
 librust-prost-build-0.12+default-dev <!nocheck>,
 librust-quickcheck-1+default-dev <!nocheck>,
 librust-quickcheck-macros-1+default-dev <!nocheck>,
 librust-quote-1+default-dev <!nocheck>,
 librust-rand-0.8+default-dev <!nocheck>,
 librust-rustls-0.21+default-dev <!nocheck>,
 librust-rustls-native-certs-0.6+default-dev <!nocheck>,
 librust-rustls-pemfile-1+default-dev <!nocheck>,
 librust-static-assertions-1+default-dev <!nocheck>,
 librust-syn-2+default-dev <!nocheck>,
 librust-tokio-1+default-dev <!nocheck>,
 librust-tokio-rustls-0.24+default-dev <!nocheck>,
 librust-tokio-stream-0.1+default-dev <!nocheck>,
 librust-tower-0.4+balance-dev <!nocheck>,
 librust-tower-0.4+buffer-dev <!nocheck>,
 librust-tower-0.4+discover-dev <!nocheck>,
 librust-tower-0.4+full-dev <!nocheck>,
 librust-tower-0.4+limit-dev <!nocheck>,
 librust-tower-0.4+load-dev <!nocheck>,
 librust-tower-0.4+make-dev <!nocheck>,
 librust-tower-0.4+timeout-dev <!nocheck>,
 librust-tower-0.4+util-dev <!nocheck>,
 librust-tower-http-0.4+default-dev <!nocheck>,
 librust-tower-layer-0.3+default-dev <!nocheck>,
 librust-tower-service-0.3+default-dev <!nocheck>,
 librust-tracing-0.1+default-dev <!nocheck>,
 librust-tracing-subscriber-0.3+default-dev <!nocheck>,
 librust-tracing-subscriber-0.3+fmt-dev <!nocheck>,
 librust-tracing-subscriber-0.3+tracing-log-dev <!nocheck>,
 protobuf-compiler,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-tonic.git
Vcs-Browser: https://salsa.debian.org/debian/rust-tonic
Homepage: https://github.com/hyperium/tonic
Rules-Requires-Root: no

Package: librust-tonic-build-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-prettyplease-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-prost-build-0.12+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-build-0.10+default-dev (= ${binary:Version}),
 librust-tonic-build-0.10+prost-dev (= ${binary:Version}),
 librust-tonic-build-0.10+transport-dev (= ${binary:Version}),
 librust-tonic-build-0.10-dev (= ${binary:Version}),
 librust-tonic-build-0.10.2-dev (= ${binary:Version}),
Description: codegen module of tonic gRPC implementation - Rust source code
 tonic-build compiles proto files via prost
 and generates service stubs and proto definitiones for use with tonic.
 .
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust tonic-build crate,
 for use with cargo and dh-cargo.

Package: librust-tonic-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-axum-0.6-dev,
 librust-base64-0.21+default-dev,
 librust-bytes-1+default-dev,
 librust-flate2-1+default-dev,
 librust-h2-dev (<< 0.5),
 librust-http-0.2+default-dev,
 librust-http-body-0.4+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-hyper-timeout-0.4+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-1+default-dev,
 librust-prost-0.12+default-dev,
 librust-rustls-0.21+default-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-pemfile-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+time-dev,
 librust-tokio-rustls-0.24+default-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tower-0.4+balance-dev,
 librust-tower-0.4+buffer-dev,
 librust-tower-0.4+discover-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-dev,
 librust-tower-0.4+make-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-0.10+channel-dev (= ${binary:Version}),
 librust-tonic-0.10+codegen-dev (= ${binary:Version}),
 librust-tonic-0.10+default-dev (= ${binary:Version}),
 librust-tonic-0.10+gzip-dev (= ${binary:Version}),
 librust-tonic-0.10+prost-dev (= ${binary:Version}),
 librust-tonic-0.10+tls-dev (= ${binary:Version}),
 librust-tonic-0.10+tls-roots-common-dev (= ${binary:Version}),
 librust-tonic-0.10+tls-roots-dev (= ${binary:Version}),
 librust-tonic-0.10+transport-dev (= ${binary:Version}),
 librust-tonic-0.10-dev (= ${binary:Version}),
 librust-tonic-0.10.2-dev (= ${binary:Version}),
Description: gRPC over HTTP/2 - Rust source code
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust tonic crate,
 for use with cargo and dh-cargo.
