=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --all-features
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:@
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:default
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+default-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features channel
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:channel
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+channel-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features codegen
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:codegen
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+codegen-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features gzip
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:gzip
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+gzip-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features prost
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:prost
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
