## rust-tonic 0.12.3%2Bdfsg

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: hyperium
Project: tonic
Dversion-Mangle: auto
Repacksuffix: +dfsg
# mangle dot- or dash-versioned prereleases (see bug#1112452)
Uversion-Mangle: s/\d\K[_.+-]?((?i)dev|pre|alpha|beta|rc)[.-]?/~$1/
