## rust-tonic 0.12.3+dfsg

=== debian/changelog ===
rust-tonic (0.12.3+dfsg-5) unstable; urgency=medium

  * drop obsolete patches 2001_rustls-native-certs_*;
    bump (build-)dependencies for crate rustls-native-certs;
    closes: bug#1112560, thanks to Reinhard Tartler
  * update watch file:
    + use file format version 5
    + improve mangling of upstream version
  * update DEP-3 patch headers
  * rename patch 2001_tower-http -> 1001_tower-http

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Aug 2025 09:52:35 +0200

rust-tonic (0.12.3+dfsg-4) unstable; urgency=medium

  * wrap and sort control files
  * provide minor-versioned package for embedded crate tonic-types

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Apr 2025 13:19:59 +0200

rust-tonic (0.12.3+dfsg-3) unstable; urgency=medium

  * provide and autopkgtest embedded crate tonic-types;
    (build-)depend on package for crate prost-types;
    closes: bug#1102316, thanks to Blair Noctis
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Apr 2025 17:52:48 +0200

rust-tonic (0.12.3+dfsg-2) unstable; urgency=medium

  * update and tighten patches
    to use older branch of crate rustls-native-certs;
    fix and tighten (build-,autopkgtest-)dependencies
    for crate rustls-native-certs;
    closes: bug#1100658, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Mar 2025 20:57:38 +0100

rust-tonic (0.12.3+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1069180, #1092989,
    thanks to Reinhard Tartler and Maytham Alsudany

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * bump (build-)dependencies
    for crates axum http http-body hyper hyper-timeout
    rustls-pemfile tokio-rustls;
    bump build- and autopkgtest-dependencies for crate tower-http;
    tighten (build-)dependencies for crates h2 tokio tokio-stream;
    (build-)depend on packages
    for crates http-body-util hyper-util socket2 zstd;
    build- and autopkgtest-depend on package for crate paste;
    relax (build-)dependencies for crate rustls-native-certs;
    relax (build-dependencies for crate tracing-subscriber;
    stop build-depend on packages
    for crates console hyper-rustls listenfd pico-args rustls;
    provide and autopkgtest
    features router server tls-native-roots zstd (not roots-common);
    closes: bug#1098848, #1098897,
    thanks to Peter Michael Green and Reinhard Tartler
  * skip broken test skip_debug

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Mar 2025 19:19:00 +0100

rust-tonic (0.10.2+dfsg-12) unstable; urgency=medium

  * skip checking test max_message_send_size,
    returning unreliable error object;
    closes: bug#1098348, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Feb 2025 19:57:45 +0100

rust-tonic (0.10.2+dfsg-11) unstable; urgency=medium

  * update DEP-3 patch headers
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename and upstream version mangling
    + use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 01:15:46 +0100

rust-tonic (0.10.2+dfsg-10) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * stop mention dh-cargo in long description
  * add patch cherry-picked upstream
    to use newer branch of crate base64;
    tighten build-dependency for crate base64;
    closes: bug#1084141, thanks to Matthias Geiger
  * improve comment in rules file
  * check single-feature autopkgtests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Oct 2024 23:23:45 +0200
