=== debian/control ===
Source: rust-tonic
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-axum-0.7-dev,
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev,
 librust-flate2-1+default-dev,
 librust-h2-0.4+default-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-hyper-1+client-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+full-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-timeout-0.5+default-dev,
 librust-hyper-util-0.1+client-legacy-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+server-auto-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-paste-1+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-1+default-dev,
 librust-prettyplease-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-prost-0.12+default-dev,
 librust-prost-build-0.12+default-dev,
 librust-prost-types-0.12+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-quote-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-socket2-0.5+all-dev,
 librust-socket2-0.5+default-dev,
 librust-static-assertions-1+default-dev,
 librust-syn-2+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+time-dev,
 librust-tokio-rustls-0.26+logging-dev,
 librust-tokio-rustls-0.26+ring-dev,
 librust-tokio-rustls-0.26+tls12-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tower-0.4+balance-dev,
 librust-tower-0.4+buffer-dev,
 librust-tower-0.4+discover-dev,
 librust-tower-0.4+full-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-dev,
 librust-tower-0.4+make-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+cors-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
 librust-tower-http-0.6+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-zstd-0.13+default-dev,
 protobuf-compiler,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-tonic.git
Vcs-Browser: https://salsa.debian.org/debian/rust-tonic
Homepage: https://github.com/hyperium/tonic
Rules-Requires-Root: no

Package: librust-tonic-build-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-prettyplease-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-prost-build-0.12+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-build-0.12+default-dev (= ${binary:Version}),
 librust-tonic-build-0.12+prost-dev (= ${binary:Version}),
 librust-tonic-build-0.12+transport-dev (= ${binary:Version}),
 librust-tonic-build-0.12-dev (= ${binary:Version}),
 librust-tonic-build-0.12.3-dev (= ${binary:Version}),
Description: codegen module of tonic gRPC implementation - Rust source code
 tonic-build compiles proto files via prost
 and generates service stubs and proto definitiones for use with tonic.
 .
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust tonic-build crate,
 for use with cargo.

Package: librust-tonic-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-axum-0.7-dev,
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev,
 librust-flate2-1+default-dev,
 librust-h2-0.4+default-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-hyper-1+client-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+full-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-timeout-0.5+default-dev,
 librust-hyper-util-0.1+client-legacy-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+server-auto-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-1+default-dev,
 librust-prost-0.12+default-dev,
 librust-prost-types-0.12+default-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-socket2-0.5+all-dev,
 librust-socket2-0.5+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+time-dev,
 librust-tokio-rustls-0.26+logging-dev,
 librust-tokio-rustls-0.26+ring-dev,
 librust-tokio-rustls-0.26+tls12-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tower-0.4+balance-dev,
 librust-tower-0.4+buffer-dev,
 librust-tower-0.4+discover-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-dev,
 librust-tower-0.4+make-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1+default-dev,
 librust-zstd-0.13+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-0.12+channel-dev (= ${binary:Version}),
 librust-tonic-0.12+codegen-dev (= ${binary:Version}),
 librust-tonic-0.12+default-dev (= ${binary:Version}),
 librust-tonic-0.12+gzip-dev (= ${binary:Version}),
 librust-tonic-0.12+prost-dev (= ${binary:Version}),
 librust-tonic-0.12+router-dev (= ${binary:Version}),
 librust-tonic-0.12+server-dev (= ${binary:Version}),
 librust-tonic-0.12+tls-dev (= ${binary:Version}),
 librust-tonic-0.12+tls-native-roots-dev (= ${binary:Version}),
 librust-tonic-0.12+tls-roots-dev (= ${binary:Version}),
 librust-tonic-0.12+transport-dev (= ${binary:Version}),
 librust-tonic-0.12+zstd-dev (= ${binary:Version}),
 librust-tonic-0.12-dev (= ${binary:Version}),
 librust-tonic-0.12.3-dev (= ${binary:Version}),
 librust-tonic-types-0.12+default-dev (= ${rust:Version:librust-tonic-types-dev}),
 librust-tonic-types-0.12-dev (= ${rust:Version:librust-tonic-types-dev}),
 librust-tonic-types-0.12.3-dev (= ${rust:Version:librust-tonic-types-dev}),
 librust-tonic-types-dev (= ${rust:Version:librust-tonic-types-dev}),
Description: gRPC over HTTP/2 - Rust source code
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust crates
 tonic and tonic-types,
 for use with cargo.
