=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,25 @@
 # resolve DEB_DISTRIBUTION
 include /usr/share/dpkg/pkg-info.mk
 
-# resolve DEB_HOST_RUST_TYPE
+# resolve DEB_HOST_RUST_TYPE CARGO_HOME
+# ...and transitively DEB_HOST_GNU_TYPE
 include /usr/share/rustc/architecture.mk
 
 # resolve if release is experimental
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
+
+# resolve crate version
+# * get topmost version except prerelease suffix
+#   from Cargo.toml file in dir passed as argument
+# * source package version if matching upstream part modulo prerelease
+# * otherwise append source package version
+crate_version = \
+ $(shell perl -n \
+ -E '/version\W+\K\d+\.\d+\.\d+/ ' \
+ -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ \
+ ? "$(DEB_VERSION)" \
+ : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
+ $1/Cargo.toml)
 
 # enable custom execution of cargo wrapper
 export DEB_HOST_GNU_TYPE DEB_HOST_RUST_TYPE CARGO_HOME
@@ -18,7 +32,9 @@
 endif
 
 TEST_BROKEN += \
- codec::prost::tests::encode_too_big
+ codec::prost::tests::encode_too_big \
+ max_message_send_size \
+ skip_debug
 
 %:
 	dh $@
@@ -31,3 +47,9 @@
 	$(if $(DEB_SUITE_EXP),\
 	 dh_auto_test --buildsystem rust -- --no-fail-fast -- --include-ignored || true,\
 	 dh_auto_test --buildsystem rust -- --no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN)))
+
+# declare version for virtually provided embedded crate
+override_dh_gencontrol:
+	dh_gencontrol -plibrust-tonic-dev -- \
+	 -V'rust:Version:librust-tonic-types-dev=$(call crate_version,tonic-types)'
+	dh_gencontrol --remaining-packages
