=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --all-features
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:@,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --no-default-features
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:default,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12+default-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --no-default-features --features channel
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:channel,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12+channel-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --no-default-features --features codegen
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:codegen,
Depends:
