## rust-tonic 0.14.2+dfsg

=== debian/changelog ===
rust-tonic (0.14.2+dfsg-1) UNRELEASED; urgency=medium

  [ upstream ]
  * new release

  [ Blair Noctis ]
  * drop 1001_tower-http 2001_prost 2001_protox, versions updated in
  Debian
  * add patch 2001_axum 2001_socket2 to user older branches in Debian
  * add patch 2001_tokio-rustls to adapt to removal of aws-lc-rs
  feature of tokio-rustls in Debian
  * add patch 2002_no_protobuf to disable dependency on protobuf crate
  * add patch 2005_matchit_route_catch-all to adapt to matchit syntax
  change
  * add patch 1003_test_features to enable dev-dependency features
  needed by tests

 -- Blair Noctis <ncts@debian.org>  Sat, 25 Oct 2025 18:30:51 +0000
