=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  librust-bytes-1+default-dev,
  librust-flate2-1+default-dev,
  librust-h2-0.4+default-dev,
+ librust-hickory-resolver-0.24+default-dev,
+ librust-hickory-server-0.24+default-dev,
  librust-http-1+default-dev,
  librust-http-body-1+default-dev,
  librust-http-body-util-0.1+default-dev,
@@ -31,9 +33,11 @@
  librust-pin-project-1+default-dev,
  librust-prettyplease-0.2+default-dev,
  librust-proc-macro2-1+default-dev,
- librust-prost-0.12+default-dev,
- librust-prost-build-0.12+default-dev,
- librust-prost-types-0.12+default-dev,
+ librust-prost-0.14+default-dev,
+ librust-prost-build-0.14+default-dev,
+ librust-prost-types-0.14+default-dev,
+ librust-protox-0.9+default-dev,
+ librust-protox-parse-0.9+default-dev,
  librust-quickcheck-1+default-dev,
  librust-quickcheck-macros-1+default-dev,
  librust-quote-1+default-dev,
@@ -75,6 +79,7 @@
  librust-tower-service-0.3+default-dev,
  librust-tracing-0.1+default-dev,
  librust-tracing-subscriber-0.3+default-dev,
+ librust-trybuild-1+default-dev,
  librust-zstd-0.13+default-dev,
  protobuf-compiler,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
@@ -90,16 +95,15 @@
 Depends:
  librust-prettyplease-0.2+default-dev,
  librust-proc-macro2-1+default-dev,
- librust-prost-build-0.12+default-dev,
+ librust-prost-build-0.14+default-dev,
  librust-quote-1+default-dev,
  librust-syn-2+default-dev,
  ${misc:Depends},
 Provides:
- librust-tonic-build-0.12+default-dev (= ${binary:Version}),
- librust-tonic-build-0.12+prost-dev (= ${binary:Version}),
- librust-tonic-build-0.12+transport-dev (= ${binary:Version}),
- librust-tonic-build-0.12-dev (= ${binary:Version}),
- librust-tonic-build-0.12.3-dev (= ${binary:Version}),
+ librust-tonic-build-0.14+default-dev (= ${binary:Version}),
+ librust-tonic-build-0.14+transport-dev (= ${binary:Version}),
+ librust-tonic-build-0.14-dev (= ${binary:Version}),
+ librust-tonic-build-0.14.2-dev (= ${binary:Version}),
 Description: codegen module of tonic gRPC implementation - Rust source code
  tonic-build compiles proto files via prost
  and generates service stubs and proto definitiones for use with tonic.
@@ -138,8 +142,8 @@
  librust-hyper-util-0.1+tokio-dev,
  librust-percent-encoding-2+default-dev,
  librust-pin-project-1+default-dev,
- librust-prost-0.12+default-dev,
- librust-prost-types-0.12+default-dev,
+ librust-prost-0.14+default-dev,
+ librust-prost-types-0.14+default-dev,
  librust-rustls-native-certs-0.8+default-dev,
  librust-rustls-pemfile-2+default-dev,
  librust-socket2-0.5+all-dev,
@@ -168,23 +172,23 @@
  librust-zstd-0.13+default-dev,
  ${misc:Depends},
 Provides:
- librust-tonic-0.12+channel-dev (= ${binary:Version}),
- librust-tonic-0.12+codegen-dev (= ${binary:Version}),
- librust-tonic-0.12+default-dev (= ${binary:Version}),
- librust-tonic-0.12+gzip-dev (= ${binary:Version}),
- librust-tonic-0.12+prost-dev (= ${binary:Version}),
- librust-tonic-0.12+router-dev (= ${binary:Version}),
- librust-tonic-0.12+server-dev (= ${binary:Version}),
- librust-tonic-0.12+tls-dev (= ${binary:Version}),
- librust-tonic-0.12+tls-native-roots-dev (= ${binary:Version}),
- librust-tonic-0.12+tls-roots-dev (= ${binary:Version}),
- librust-tonic-0.12+transport-dev (= ${binary:Version}),
- librust-tonic-0.12+zstd-dev (= ${binary:Version}),
- librust-tonic-0.12-dev (= ${binary:Version}),
- librust-tonic-0.12.3-dev (= ${binary:Version}),
- librust-tonic-types-0.12+default-dev (= ${rust:Version:librust-tonic-types-dev}),
- librust-tonic-types-0.12-dev (= ${rust:Version:librust-tonic-types-dev}),
- librust-tonic-types-0.12.3-dev (= ${rust:Version:librust-tonic-types-dev}),
+ librust-tonic-0.14+channel-dev (= ${binary:Version}),
+ librust-tonic-0.14+codegen-dev (= ${binary:Version}),
+ librust-tonic-0.14+default-dev (= ${binary:Version}),
+ librust-tonic-0.14+deflate-dev (= ${binary:Version}),
+ librust-tonic-0.14+gzip-dev (= ${binary:Version}),
+ librust-tonic-0.14+router-dev (= ${binary:Version}),
+ librust-tonic-0.14+server-dev (= ${binary:Version}),
+ librust-tonic-0.14+tls-dev (= ${binary:Version}),
+ librust-tonic-0.14+tls-native-roots-dev (= ${binary:Version}),
+ librust-tonic-0.14+tls-roots-dev (= ${binary:Version}),
+ librust-tonic-0.14+transport-dev (= ${binary:Version}),
+ librust-tonic-0.14+zstd-dev (= ${binary:Version}),
+ librust-tonic-0.14-dev (= ${binary:Version}),
+ librust-tonic-0.14.2-dev (= ${binary:Version}),
+ librust-tonic-types-0.14+default-dev (= ${rust:Version:librust-tonic-types-dev}),
+ librust-tonic-types-0.14-dev (= ${rust:Version:librust-tonic-types-dev}),
+ librust-tonic-types-0.14.2-dev (= ${rust:Version:librust-tonic-types-dev}),
  librust-tonic-types-dev (= ${rust:Version:librust-tonic-types-dev}),
 Description: gRPC over HTTP/2 - Rust source code
  tonic is a gRPC over HTTP/2 implementation
