=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # check single-feature tests only on amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --all-features
  --
  --skip codec::prost::tests::encode_too_big
@@ -13,7 +13,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12-dev,
+ librust-tonic-0.14-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -23,7 +23,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --no-default-features
  --
  --skip codec::prost::tests::encode_too_big
@@ -36,7 +36,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12-dev,
+ librust-tonic-0.14-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -46,7 +46,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets
  --
  --skip codec::prost::tests::encode_too_big
@@ -59,7 +59,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12+default-dev,
+ librust-tonic-0.14+default-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -69,7 +69,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --no-default-features --features channel
  --
  --skip codec::prost::tests::encode_too_big
@@ -82,7 +82,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12+channel-dev,
+ librust-tonic-0.14+channel-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -93,7 +93,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --no-default-features --features codegen
  --
  --skip codec::prost::tests::encode_too_big
